package com.ruoyi.system.domain;

import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户个人信息对象 user_info
 * 
 * @author haotian
 * @date 2024-10-14
 */
public class UserInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户id */
    private Long userId;

    /** 实名认证状态：0 */
    @Excel(name = "实名认证状态：0")
    private String authenticationStatus;

    /** 姓名 */
    @Excel(name = "姓名")
    private String realName;

    /** 身份证号唯一值 */
    @Excel(name = "身份证号唯一值")
    private String idCard;

    private String idType;

    /** 用户性别：0 */
    @Excel(name = "用户性别：0")
    private String sex;

    /** 个性签名 */
    @Excel(name = "个性签名")
    private String signature;

    /** 头像地址 */
    @Excel(name = "头像地址")
    private String avatar;

    /** 身份证正面地址 */
    @Excel(name = "身份证正面地址")
    private String cardFront;

    /** 身份证背面地址 */
    @Excel(name = "身份证背面地址")
    private String cardBack;

    /** 用户邮箱 */
    @Excel(name = "用户邮箱")
    private String email;

    /** 收到火箭数 */
    @Excel(name = "收到火箭数")
    private Long receiveRockets;

    /** 发出火箭数 */
    @Excel(name = "发出火箭数")
    private Long sendRockets;

    /** 分享次数 */
    @Excel(name = "分享次数")
    private Long shares;

    /** 被关注数 */
    @Excel(name = "被关注数")
    private Long followers;

    /** 关注别人数*/
    private Long followings;

    /** 7天在线时长（通过在线时长表来计算） */
    @Excel(name = "7天在线时长", readConverterExp = "通=过在线时长表来计算")
    private Long sOnlineTime;

    /** 7天MR在线时长（通过在线时长表来计算） */
    @Excel(name = "7天MR在线时长", readConverterExp = "通=过在线时长表来计算")
    private Long sMrTime;

    /** 7天消费额（通过订单来计算） */
    @Excel(name = "7天消费额", readConverterExp = "通=过订单来计算")
    private Long sConsumption;

    /** 30天消费额（通过订单来计算） */
    @Excel(name = "30天消费额", readConverterExp = "通=过订单来计算")
    private Long thConsumption;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phonenumber;

    /** MR在线总长（单位分钟） */
    @Excel(name = "MR在线总长", readConverterExp = "单位秒")
    private Long tMrTime;

    /** 在线总时长（单位分钟） */
    @Excel(name = "在线总时长", readConverterExp = "单位秒")
    private Long tOnlineTime;

    /** 消费总额 */
    @Excel(name = "消费总额")
    private Long tConsumption;

    @Excel(name = "更新时间")
    private Date updateTime;

    @Excel(name = "出生日期")
    private String birth;

    @Excel(name = "背景图地址")
    private String backGround;

    @Excel(name = "上一次计算时间")
    private Date calculationTime;



    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setAuthenticationStatus(String authenticationStatus) 
    {
        this.authenticationStatus = authenticationStatus;
    }

    public String getAuthenticationStatus() 
    {
        return authenticationStatus;
    }
    public void setRealName(String realName) 
    {
        this.realName = realName;
    }

    public String getRealName() 
    {
        return realName;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setSignature(String signature) 
    {
        this.signature = signature;
    }

    public String getSignature() 
    {
        return signature;
    }
    public void setAvatar(String avatar) 
    {
        this.avatar = avatar;
    }

    public String getAvatar() 
    {
        return avatar;
    }
    public void setCardFront(String cardFront) 
    {
        this.cardFront = cardFront;
    }

    public String getCardFront() 
    {
        return cardFront;
    }
    public void setCardBack(String cardBack) 
    {
        this.cardBack = cardBack;
    }

    public String getCardBack() 
    {
        return cardBack;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setReceiveRockets(Long receiveRockets) 
    {
        this.receiveRockets = receiveRockets;
    }

    public Long getReceiveRockets() 
    {
        return receiveRockets;
    }
    public void setSendRockets(Long sendRockets) 
    {
        this.sendRockets = sendRockets;
    }

    public Long getSendRockets() 
    {
        return sendRockets;
    }
    public void setShares(Long shares) 
    {
        this.shares = shares;
    }

    public Long getShares() 
    {
        return shares;
    }
    public void setFollowers(Long followers) 
    {
        this.followers = followers;
    }

    public Long getFollowers() 
    {
        return followers;
    }

    public void setFollowings(Long followings)
    {
        this.followings = followings;
    }

    public Long getFollowings()
    {
        return followings;
    }
    public void setsOnlineTime(Long sOnlineTime) 
    {
        this.sOnlineTime = sOnlineTime;
    }

    public Long getsOnlineTime() 
    {
        return sOnlineTime;
    }
    public void setsMrTime(Long sMrTime) 
    {
        this.sMrTime = sMrTime;
    }

    public Long getsMrTime() 
    {
        return sMrTime;
    }
    public void setsConsumption(Long sConsumption) 
    {
        this.sConsumption = sConsumption;
    }

    public Long getsConsumption() 
    {
        return sConsumption;
    }
    public void setThConsumption(Long thConsumption) 
    {
        this.thConsumption = thConsumption;
    }

    public Long getThConsumption() 
    {
        return thConsumption;
    }
    public void setPhonenumber(String phonenumber) 
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber() 
    {
        return phonenumber;
    }
    public void settMrTime(Long tMrTime) 
    {
        this.tMrTime = tMrTime;
    }

    public Long gettMrTime() 
    {
        return tMrTime;
    }
    public void settOnlineTime(Long tOnlineTime) 
    {
        this.tOnlineTime = tOnlineTime;
    }

    public Long gettOnlineTime() 
    {
        return tOnlineTime;
    }
    public void settConsumption(Long tConsumption) 
    {
        this.tConsumption = tConsumption;
    }

    public Long gettConsumption() 
    {
        return tConsumption;
    }

    public Date getUpdateTime()
    {
        return updateTime;
    }
    public void setUpdateTime(Date updateTime){
        this.updateTime = updateTime;
    }

    public String getBirth()
    {
        return birth;
    }

    public void setBirth(String birth)
    {
        this.birth = birth;
    }

    public String getBackGround()
    {
        return backGround;
    }
    public void setBackGround(String backGround){
        this.backGround = backGround;
    }

    public Date getCalculationTime()
    {
        return calculationTime;
    }
    public void setCalculationTime(Date calculationTime){this.calculationTime = calculationTime;}

    public void setIdType(String idType){
        this.idType = idType;
    }

    public String getIdType(){
        return idType;
    }







    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("authenticationStatus", getAuthenticationStatus())
            .append("realName", getRealName())
            .append("idCard", getIdCard())
            .append("sex", getSex())
            .append("signature", getSignature())
            .append("avatar", getAvatar())
            .append("cardFront", getCardFront())
            .append("cardBack", getCardBack())
            .append("email", getEmail())
            .append("receiveRockets", getReceiveRockets())
            .append("sendRockets", getSendRockets())
            .append("shares", getShares())
            .append("followers", getFollowers())
                .append("followings", getFollowings())
            .append("sOnlineTime", getsOnlineTime())
            .append("sMrTime", getsMrTime())
            .append("sConsumption", getsConsumption())
            .append("thConsumption", getThConsumption())
            .append("phonenumber", getPhonenumber())
            .append("tMrTime", gettMrTime())
            .append("tOnlineTime", gettOnlineTime())
            .append("tConsumption", gettConsumption())
            .append("updateTime", getUpdateTime())
            .append("birth", getBirth())
                .append("backGround", getBackGround())
                .append("calculationTime", getCalculationTime())
                .append("idType", getIdType())


            .toString();
    }
}
